> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Resident Appointment: Rent Manager

PUT https://api.propexo.com/v1/events/appointments/residents/rentmanager/{event_id}
Content-Type: application/json

Update Resident Appointment: Rent Manager

| Method |
|---|
| POST /Appointments |

Reference: https://docs.propexo.com/api-reference/rent-manager/appointments/update-resident-appointment-rent-manager

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `event_id` (string, required) — The Propexo unique identifier for the event

### Body (application/json)

This endpoint expects a _v1_events_appointments_residents_rentmanager_{event_id}_put_input.

- `appointment_date` (V1EventsAppointmentsResidentsRentmanagerEventIdPutInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `title` (string, required) — The title associated with the event
- `notes` (string, optional) — Notes associated with the event

## Response

### 200

Successful response

- `meta` (V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputMeta, required)
- `result` (V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1EventsAppointmentsResidentsRentmanagerEventIdPutInputAppointmentDate

The date when the appointment will occur

### V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputMeta

- `job_id` (string, required)

### V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputResult

- `event_id` (string, required) — The Propexo unique identifier for the event
- `appointment_date` (V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputResultAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location. In Rent Manager, the default timezone is an optional setting that the PMC can set and will be stored on the Propexo Timezone model. You may need to read in this setting and convert to the local timezone for the appointment time to be correct.
- `appointment_duration_minutes` (integer, required) — The duration of the appointment, in minutes
- `title` (string, required) — The title associated with the event
- `notes` (string, optional) — Notes associated with the event

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1EventsAppointmentsResidentsRentmanagerEventIdPutOutputResultAppointmentDate

The date when the appointment will occur

## Examples

**Request**

```json
{
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Lease Renewal Meeting"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
  },
  "result": {
    "event_id": "e1234567-89ab-4cde-f012-3456789abcde",
    "appointment_date": "2024-07-20",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45,
    "title": "Lease Renewal Meeting",
    "notes": "Discuss lease terms and answer resident questions."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id"

payload = {
    "appointment_date": "2024-07-20",
    "appointment_time": "14:30:00",
    "appointment_duration_minutes": 45,
    "title": "Lease Renewal Meeting"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"appointment_date":"2024-07-20","appointment_time":"14:30:00","appointment_duration_minutes":45,"title":"Lease Renewal Meeting"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id"

	payload := strings.NewReader("{\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Lease Renewal Meeting\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Lease Renewal Meeting\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Lease Renewal Meeting\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id', [
  'body' => '{
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Lease Renewal Meeting"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"appointment_date\": \"2024-07-20\",\n  \"appointment_time\": \"14:30:00\",\n  \"appointment_duration_minutes\": 45,\n  \"title\": \"Lease Renewal Meeting\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "appointment_date": "2024-07-20",
  "appointment_time": "14:30:00",
  "appointment_duration_minutes": 45,
  "title": "Lease Renewal Meeting"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/events/appointments/residents/rentmanager/event_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```